[TxMt] Re: AS3 Bundle Fight

Simon Gregory simon at helvector.org
Tue Sep 2 20:50:17 UTC 2008

> First, I got the wonderful error dialog:
>> The “ActionScript 3” bundle located in ~/Library/Application  
>> Support/TextMate/Bundles could not be loaded and will be skipped.  
>> The contained info.plist appears to be corrupt or missing.
> What's going on here?  No idea.  So I looked at the plist file in  
> question and found what looked like a half failed diff at the bottom:

This  <http://macromates.com/svn/Bundles/trunk/Review/Bundles/ActionScript%203.tmbundle/info.plist 
 >  is currently clean.

So I'd say you created all the conflicts when you ran your update  
script as your working copy contained changes that subversion could  
not automatically merge.

> Try the "Build (custom)" option, it tells me the script is not  
> executable.  Joy.  So I run the supplied compile.sh script manually  
> by opening the script and pressing Apple-R to run it.  TM alerts me  
> that the script is not executable, so I make it so.  OK, so now it  
> runs.

This script is provided as a template to be customised before being  
used, as a result it's left un-executable, and as you point out the  
command warns you of this.

> [...] Turns out that the default file supplied by Adobe is also in  
> DOS encoding (funny line endings). [...]

I use the Flex SDK versions 2, 3 and 4 and their minor revisions and  
I've not had this problem with any of them (running Leopard).


More information about the textmate mailing list